/*
 *   Copyright 2011 Institute of Communication and Computer Systems (ICCS) 
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */

#ifndef PRINT_STATS_H
#define PRINT_STATS_H

#include <dmmlib/heap.h>

size_t get_used_space(heap_t *heap);
size_t get_allocated_space(heap_t *heap);

#ifdef REQUEST_SIZE_INFO
size_t get_requested_space(heap_t *heap);
#endif /* REQUEST_SIZE_INFO */

void print_stats(allocator_t *allocator);

#endif /* PRINT_STATS_H */
